Bug 428625 - (CVE-2007-6018) CVE-2007-6018 horde: input validation vulnerabilities
CVE-2007-6018 horde: input validation vulnerabilities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20080110,public=2...
: Security
Depends On: 428628 428629 428630 428632 428633 428634
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 04:11 EST by Tomas Hoger
Modified: 2016-03-04 05:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 02:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-01-14 04:11:09 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6018 to the following vulnerability:

IMP Webmail Client 4.1.5, Horde Application Framework 3.1.5, and Horde Groupware Webmail Edition 1.0.3 does not validate unspecified HTTP requests, which allows remote attackers to (1) delete arbitrary e-mail messages via a modified numeric ID or (2) "purge" deleted emails via a crafted email message.

References:

http://secunia.com/secunia_research/2007-102/advisory/
http://www.securityfocus.com/bid/27223
http://secunia.com/advisories/28020
Comment 1 Tomas Hoger 2008-01-14 04:13:25 EST
From 3.1.6 changelog:

[jan] SECURITY: Fix privilege escalation in Horde API.
[jan] SECURITY: Filter out FRAME tags from HTML messages (CVE-2007-6018).
[jan] SECURITY: The XSS filter passes the complete XSS cheat sheet
      (http://ha.ckers.org/xss.html) now.

Please updated to new upstream version.
Comment 4 Fedora Update System 2008-02-26 05:03:52 EST
imp-4.1.6-1.fc7,horde-3.1.6-1.fc7,turba-2.1.7-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-26 05:12:32 EST
horde-3.1.6-1.fc8,turba-2.1.7-1.fc8,imp-4.1.6-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-28 16:35:30 EST
imp-4.1.6-1.fc7, horde-3.1.6-1.fc7, turba-2.1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-02-28 16:41:20 EST
horde-3.1.6-1.fc8, turba-2.1.7-1.fc8, imp-4.1.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Red Hat Product Security 2008-02-29 02:25:05 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2040
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2087

Comment 9 Kurt Seifried 2009-03-26 00:38:54 EDT
I'm able to set the Restrict Group Visibility:   	
Only users in any of the selected groups can view this bug: 

stuff, very odd. I'm pretty sure I shouldn't be able to do this.
Comment 10 Tomas Hoger 2009-04-08 12:10:05 EDT
(In reply to comment #9)
> I'm able to set the Restrict Group Visibility:    
> Only users in any of the selected groups can view this bug: 
> 
> stuff, very odd. I'm pretty sure I shouldn't be able to do this.  

It is intentional that certain groups are displayed even to non-members, allowing them to restrict bug visibility to such groups (e.g. when providing some confidential information or reporting non-public security issue).  As non-member, you should not be able to remove group restriction though.

Group visibility to non-members is per-product setting.  The groups you have selected are not needed to be visible for 'Security Response' product, therefore that Bugzilla setting was changed.  You should still be able to see 'Security Sensitive Bug' group and restrict bug to that group, but that's intentional.

Note You need to log in before you can comment on or make changes to this bug.